Uploaded image for project: 'Geode'
  1. Geode
  2. GEODE-7340

Remove geode-old-versions from Geode compile/runtime dependency list

    XMLWordPrintableJSON

    Details

    • Type: Improvement
    • Status: Closed
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 1.11.0
    • Component/s: build, tests
    • Labels:
      None

      Description

      The geode-old-versions subprojects are downloaded regardless of Gradle target chosen. They are only needed for running the upgrade tests and some acceptance tests. Fix the dependency configurations to only download and extract them if those targets are requested.

      Primary effect: cleans up the dependency list for compile/runtime

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                Unassigned
                Reporter:
                rhoughton Robert Houghton
              • Votes:
                0 Vote for this issue
                Watchers:
                3 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:

                  Time Tracking

                  Estimated:
                  Original Estimate - Not Specified
                  Not Specified
                  Remaining:
                  Remaining Estimate - 0h
                  0h
                  Logged:
                  Time Spent - 0.5h
                  0.5h